Adobe Shockwave Player prior 6.0 code injection

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
9.5$0-$5k0.00

A vulnerability, which was classified as very critical, was found in Adobe Shockwave Player (Multimedia Player Software). This affects an unknown code. The manipulation with an unknown input leads to a code injection vulnerability. CWE is classifying the issue as CWE-94. The product constructs all or part of a code segment using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify the syntax or behavior of the intended code segment. This is going to have an impact on confidentiality, integrity, and availability. The summary by CVE is:

Adobe Shockwave Player before 11.5.2.602 allows remote attackers to execute arbitrary code via crafted Shockwave content on a web site, related to an "invalid pointer vulnerability," a different issue than CVE-2009-3464. NOTE: some of these details are obtained from third party information.

The weakness was released 11/04/2009 by Nicolas Joly with VUPEN Security (Website). It is possible to read the advisory at vupen.com. This vulnerability is uniquely identified as CVE-2009-3465. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. The technical details are unknown and an exploit is not publicly available. The pricing for an exploit might be around USD $0-$5k at the moment (estimation calculated on 08/25/2021). The attack technique deployed by this issue is T1059 according to MITRE ATT&CK.

The vulnerability scanner Nessus provides a plugin with the ID 42369 (Shockwave Player <= 11.5.1.601 Multiple Vulnerabilities (APSB09-16)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Windows. The commercial vulnerability scanner Qualys is able to test this issue with plugin 116674 (Adobe Shockwave Player Multiple Remote Code Execution and Denial of Service Vulnerabilities (APSB09-16)).

Upgrading to version 6.0 eliminates this vulnerability.

The vulnerability is also documented in the databases at X-Force (54120), Tenable (42369), SecurityFocus (BID 36905†) and Vulnerability Center (SBV-23955†).

Productinfo

Type

Vendor

Name

License

Support

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 10.0
VulDB Meta Temp Score: 9.5

VulDB Base Score: 10.0
VulDB Temp Score: 9.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Code injection
CWE: CWE-94 / CWE-74 / CWE-707
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 42369
Nessus Name: Shockwave Player <= 11.5.1.601 Multiple Vulnerabilities (APSB09-16)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍

OpenVAS ID: 800971
OpenVAS Name: Adobe Shockwave Player Multiple Remote Code Execution Vulnerabilities
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: Shockwave Player 6.0
McAfee IPS: 🔍
McAfee IPS Version: 🔍

Timelineinfo

09/29/2009 🔍
11/03/2009 +35 days 🔍
11/03/2009 +0 days 🔍
11/04/2009 +1 days 🔍
11/04/2009 +0 days 🔍
11/09/2009 +5 days 🔍
03/18/2015 +1955 days 🔍
08/25/2021 +2352 days 🔍

Sourcesinfo

Vendor: adobe.com

Advisory: vupen.com
Researcher: Nicolas Joly
Organization: VUPEN Security
Status: Not defined
Confirmation: 🔍

CVE: CVE-2009-3465 (🔍)
OVAL: 🔍

X-Force: 54120
SecurityFocus: 36905 - Adobe Shockwave Player Multiple Remote Code Execution and Denial of Service Vulnerabilities
Vulnerability Center: 23955 - [APSB09-16] Adobe Shockwave Player < 11.5.2.602 Invalid Pointer Vulnerability, Medium

Entryinfo

Created: 03/18/2015 03:15 PM
Updated: 08/25/2021 07:14 AM
Changes: 03/18/2015 03:15 PM (63), 02/16/2017 10:15 AM (10), 08/25/2021 07:00 AM (4), 08/25/2021 07:14 AM (1)
Complete: 🔍
Cache ID: 3:FFC:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!